> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncopys3objectsparameters-object.md).

# AmazonCopyS3ObjectsParameters Object

## Description <a href="#description" id="description"></a>

Parameters for the Amazon Copy S3 Objects action.

## Properties <a href="#properties" id="properties"></a>

### aclSettings

Indicates whether ACL (permission) settings should be copied from the source objects.

Type: `string`

Valid Values:

* `none`
* `copy`

Required: No

Default: `none`

### credentialIds <a href="#credentialids" id="credentialids"></a>

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### isTest <a href="#istest" id="istest"></a>

Determines if "Test Mode" is enabled on the action. Objects will not be copied when "Test Mode" is enabled.

Type: `boolean`

Required: No

Default Value: `false`

### overwriteRule

Specifies whether objects in the target folder can be overwritten.

Type: `string`

Valid Values:

* `never-overwrite`
* `always-overwrite`
* `overwrite-older-objects-only`

Required: No

Default: `always-overwrite`

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### renameMethod

Indicates whether object names should be modified during the copy process.

Type: `string`

Valid Values:

* `none`
* `change-prefix`

Required: No

Default: `none`

### sourceBucketName

Name of the S3 bucket containing the objects to copy.

Type: `string`

Required: Yes

### sourcePrefix

Prefix to use in the source bucket to limit the objects being copied.

Type: `string`

Required: No

### storageClass

Indicates the storage class to use for the copied objects.

Type: `string`

Valid Values:

* `copy-from-source`
* `standard`
* `reduced-redundancy`
* `standard-infrequent-access`

Required: No

Default: `copy-from-source`

### targetBucketName

Name of the S3 bucket to which the objects will be copied.

Type: `string`

Required: Yes

### targetPrefix

Prefix to use in the target bucket for the copied objects. Replaces `sourcePrefix`for each object name. Only used when `renameMethod` is `change-prefix`.

Type: `string`

Required: No

## Sample JSON <a href="#sample-json" id="sample-json"></a>

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "sourceBucketName": "bucket1",
    "sourcePrefix": "MyDocuments/",
    
    "targetBucketName": "bucket2",
    
    "renameMethod": "change-prefix",
    "targetPrefix": "$(DATE)/MyDocuments/",
    
    "overwriteRule": "never-overwrite",
    
    "aclSettings": "none",
    "storageClass": "copy-from-source"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncopys3objectsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
